<?php 
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: site_stats.php
| Author: digifredje
| Version: 1.3
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

if (!isset($lastvisited) || !isnum($lastvisited)) { $lastvisited = time(); }

if (file_exists(INFUSIONS."site_stats/locale/".$settings['locale'].".php"))
	{
	include INFUSIONS."site_stats/locale/".$settings['locale'].".php";
	}
	else
	{
	include INFUSIONS."site_stats/locale/English.php";
	}

	
	

	
//User Variables
$post_other = 3;	//Number of top posters/day/month
$post_total = 10; 	//Number of top posters total





// Globale Variabelen
$datum = time();
$sinds = 0;
$start_laatste_bezoek = $lastvisited;	
$start_vandaag = mktime(0, 0, 0, date("m")  , date("d"), date("Y"));
$start_gisteren = mktime(0, 0, 0, date("m")  , date("d")-1, date("Y"));
$start_deze_maand = mktime(0, 0, 0, date("m")  , 1, date("Y"));
$start_vorige_maand = mktime(0, 0, 0, date("m")-1  , 1, date("Y"));

// Post Variabelen
$p_aantal_laatste_bezoek = 0;
$p_aantal_vandaag = 0;
$p_aantal_gisteren = 0;
$p_aantal_deze_maand = 0;
$p_aantal_vorige_maand = 0;

// Gebruikers Variabelen
$u_aantal_laatste_bezoek = 0;
$u_aantal_vandaag = 0;
$u_aantal_gisteren = 0;
$u_aantal_deze_maand = 0;
$u_aantal_vorige_maand = 0;

// Bezoeken Variabelen
$b_aantal_laatste_bezoek = 0;
$b_aantal_vandaag = 0;
$b_aantal_gisteren = 0;
$b_aantal_deze_maand = 0;
$b_aantal_vorige_maand = 0;

// Bepaal kleinste datum om te zoeken in tabel
if ($start_laatste_bezoek < $start_vorige_maand)
	{
	$sinds = $start_laatste_bezoek;
	}
	else
	{
	$sinds = $start_vorige_maand;
	}

// Zoek datum eerste bericht
$p_result_eerste = dbquery("SELECT MIN(post_datestamp) as p_eerste FROM ".DB_POSTS);
$p_data_eerste = dbarray($p_result_eerste);
$p_eerste_post = $p_data_eerste['p_eerste'];

// Zoek totaal aantal berichten
$p_result_totaal = dbquery("SELECT count(*) as p_totaal FROM ".DB_POSTS);
$p_data_totaal = dbarray($p_result_totaal);
$p_totaal_post = $p_data_totaal['p_totaal'];

// Zoek datum eerste registratie
$u_result_eerste = dbquery("SELECT MIN(user_joined) as u_eerste FROM ".DB_USERS);
$u_data_eerste = dbarray($u_result_eerste);
$u_eerste_user = $u_data_eerste['u_eerste'];

// Zoek totaal aantal gebruikers
$u_result_totaal = dbquery("SELECT count(*) as u_totaal FROM ".DB_USERS);
$u_data_totaal = dbarray($u_result_totaal);
$u_totaal_user = $u_data_totaal['u_totaal'];

// Bepaal aantal dagen en maanden bij berichten
if ($p_eerste_post == 0)
	{
	$p_aantal_dagen = 1;
	$p_aantal_maanden = 1;
	}
	else
	{
	$p_aantal_dagen = ceil((time() - $p_eerste_post)/(60*60*24));
	$p_aantal_maanden = ceil((time() - $p_eerste_post)/(60*60*24*30));
	}

// Bepaal aantal dagen en maanden bij gebruikers
if ($u_eerste_user == 0)
	{
	$u_aantal_dagen = 1;
	$u_aantal_maanden = 1;
	}
	else
	{
	$u_aantal_dagen = ceil((time() - $u_eerste_user)/(60*60*24));
	$u_aantal_maanden = ceil((time() - $u_eerste_user)/(60*60*24*30));
	}

// Bereken gemiddeld aantal berichten per dag en maand
$p_gem_dag = round($p_totaal_post / $p_aantal_dagen);
$p_gem_maand = round($p_totaal_post / $p_aantal_maanden);

// Bereken gemiddeld registraties  per dag en maand
$u_gem_dag = round($u_totaal_user / $u_aantal_dagen);
$u_gem_maand = round($u_totaal_user / $u_aantal_maanden);
	
// Zoek alle berichten sinds kleinste gewenste datum
$p_result = dbquery("SELECT post_datestamp FROM ".DB_POSTS." WHERE post_datestamp >= ".$sinds);

// Zoek alle gebruikers sinds kleinste gewenste datum
$u_result = dbquery("SELECT user_joined FROM ".DB_USERS." WHERE user_joined >= ".$sinds);

// Zoek alle bezoeken sinds kleinste gewenste datum
$b_result = dbquery("SELECT user_lastvisit FROM ".DB_USERS." WHERE user_lastvisit >= ".$sinds);

// Zoek de grootste posters aller tijden
$t_result_totaal = dbquery("SELECT user_name, user_id, user_posts FROM ".DB_USERS." ORDER BY user_posts DESC LIMIT 0,".$post_total);

// Zoek de leden met het grootste aantal berichten per dag
$t_result_dag = dbquery("SELECT user_name, user_id, (round((user_posts / ceil((".$datum." - user_joined) / (60*60*24))), 2)) AS dag FROM ".DB_USERS." ORDER BY dag DESC LIMIT 0,".$post_total);

// Zoek de grootste posters van vandaag
$t_result_vandaag = dbquery("SELECT distinct(p.post_author), u.user_id, u.user_name, count(*) AS aantal
							FROM ".DB_POSTS." p, ".DB_USERS." u 
							WHERE p.post_author = u.user_id
							AND p.post_datestamp >= ".$start_vandaag."
							GROUP BY p.post_author 
							ORDER BY aantal DESC LIMIT 0,".$post_other);

// Zoek de grootste posters van gisteren						
$t_result_gisteren = dbquery("SELECT distinct(p.post_author), u.user_id, u.user_name, count(*) AS aantal
							FROM ".DB_POSTS." p, ".DB_USERS." u 
							WHERE p.post_author = u.user_id
							AND p.post_datestamp >= ".$start_gisteren."
							AND p.post_datestamp < ".$start_vandaag." 
							GROUP BY p.post_author 
							ORDER BY aantal DESC LIMIT 0,".$post_other);
							
// Zoek de grootste posters van deze maand									
$t_result_deze_maand = dbquery("SELECT distinct(p.post_author), u.user_id, u.user_name, count(*) AS aantal
							FROM ".DB_POSTS." p, ".DB_USERS." u 
							WHERE p.post_author = u.user_id
							AND p.post_datestamp >= ".$start_deze_maand."
							GROUP BY p.post_author 
							ORDER BY aantal DESC LIMIT 0,".$post_other);
					
// Zoek de grootste posters van vorige maand					
$t_result_vorige_maand = dbquery("SELECT distinct(p.post_author), u.user_id, u.user_name, count(*) AS aantal
							FROM ".DB_POSTS." p, ".DB_USERS." u 
							WHERE p.post_author = u.user_id
							AND p.post_datestamp >= ".$start_vorige_maand."
							AND p.post_datestamp < ".$start_deze_maand."
							GROUP BY p.post_author 
							ORDER BY aantal DESC LIMIT 0,".$post_other);
							
// Zoek de grootste posters sinds je laatste bezoek				
$t_result_laatste_bezoek = dbquery("SELECT distinct(p.post_author), u.user_id, u.user_name, count(*) AS aantal
							FROM ".DB_POSTS." p, ".DB_USERS." u 
							WHERE p.post_author = u.user_id
							AND p.post_datestamp >= ".$start_laatste_bezoek."
							GROUP BY p.post_author 
							ORDER BY aantal DESC LIMIT 0,".$post_other);

// Tel het aantal posts voor de verschillende datums		
if (dbrows($p_result) != 0)
	{
	while($p_data = dbarray($p_result))
		{
		if ($p_data['post_datestamp'] > $start_laatste_bezoek)
			{
			$p_aantal_laatste_bezoek++;
			}
		if ($p_data['post_datestamp'] > $start_vandaag)
			{
			$p_aantal_vandaag++;
			}
		if ($p_data['post_datestamp'] > $start_deze_maand)
			{
			$p_aantal_deze_maand++;
			}
		if (($p_data['post_datestamp'] >= $start_vorige_maand) && ($p_data['post_datestamp'] < $start_deze_maand))
			{
			$p_aantal_vorige_maand++;
			}
		if (($p_data['post_datestamp'] >= $start_gisteren) && ($p_data['post_datestamp'] < $start_vandaag))
			{
			$p_aantal_gisteren++;
			}	
		}
	}

// Tel het aantal nieuwe leden voor de verschillende datums		
if (dbrows($u_result) != 0)
	{
	while($u_data = dbarray($u_result))
		{
		if ($u_data['user_joined'] > $start_laatste_bezoek)
			{
			$u_aantal_laatste_bezoek++;
			}
		if ($u_data['user_joined'] > $start_vandaag)
			{
			$u_aantal_vandaag++;
			}
		if ($u_data['user_joined'] > $start_deze_maand)
			{
			$u_aantal_deze_maand++;
			}
		if (($u_data['user_joined'] >= $start_vorige_maand) && ($u_data['user_joined'] < $start_deze_maand))
			{
			$u_aantal_vorige_maand++;
			}
		if (($u_data['user_joined'] >= $start_gisteren) && ($u_data['user_joined'] < $start_vandaag))
			{
			$u_aantal_gisteren++;
			}	
		}
	}

// Tel het aantal bezoeken voor de verschillende datums	
if (dbrows($b_result) != 0)
	{
	while($b_data = dbarray($b_result))
		{
		if ($b_data['user_lastvisit'] > $start_laatste_bezoek)
			{
			$b_aantal_laatste_bezoek++;
			}
		if ($b_data['user_lastvisit'] > $start_vandaag)
			{
			$b_aantal_vandaag++;
			}
		if ($b_data['user_lastvisit'] > $start_deze_maand)
			{
			$b_aantal_deze_maand++;
			}
		if (($b_data['user_lastvisit'] >= $start_vorige_maand) && ($b_data['user_lastvisit'] < $start_deze_maand))
			{
			$b_aantal_vorige_maand++;
			}
		if (($b_data['user_lastvisit'] >= $start_gisteren) && ($b_data['user_lastvisit'] < $start_vandaag))
			{
			$b_aantal_gisteren++;
			}	
		}
	}
	
// openside($locale['FSP000']);
	
// Nieuwe leden
	echo "<div class='side-label' align='center'><strong>".$locale['FSP014']."</strong></div>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n";
	echo "<tr>\n<td width='30%' class='side-small'>".THEME_BULLET." ".$locale['FSP002']."</td>\n";
	echo "<td width='15%' align='right' class='side-small'>".$u_aantal_laatste_bezoek."</td>\n";
	echo "<td width='10%' class='side-small'> </td>\n";
	echo "<td width='30%' class='side-small'> </td>\n";
	echo "<td width='15%' class='side-small'> </td>\n</tr>\n";
	echo "<tr>\n<td width='30%' class='side-small'>".THEME_BULLET." ".$locale['FSP003']."</td>\n";
	echo "<td width='15%' align='right' class='side-small'>".$u_aantal_vandaag."</td>\n";
	echo "<td width='10%' class='side-small'> </td>\n";
	echo "<td width='30%' class='side-small'>".THEME_BULLET." ".$locale['FSP005']."</td>\n";
	echo "<td width='15%' align='right' class='side-small'>".$u_aantal_deze_maand."</td>\n</tr>\n";
	echo "<tr>\n<td width='30%' class='side-small'>".THEME_BULLET." ".$locale['FSP004']."</td>\n";
	echo "<td width='15%' align='right' class='side-small'>".$u_aantal_gisteren."</td>\n";
	echo "<td width='10%' class='side-small'> </td>\n";
	echo "<td width='30%' class='side-small'>".THEME_BULLET." ".$locale['FSP006']."</td>\n";
	echo "<td width='15%' align='right' class='side-small'>".$u_aantal_vorige_maand."</td>\n</tr>\n";
	echo "<tr>\n<td width='30%' class='side-small'>".THEME_BULLET." ".$locale['FSP012']."</td>\n";
	echo "<td width='15%' align='right' class='side-small'>".$u_gem_dag."</td>\n";	
	echo "<td width='10%' class='side-small'> </td>\n";	
	echo "<td width='30%' class='side-small'>".THEME_BULLET." ".$locale['FSP013']."</td>\n";
	echo "<td width='15%' align='right' class='side-small'>".$u_gem_maand."</td>\n</tr>\n";
	echo "</table>\n";
	echo "<br />\n";
	
// Unieke leden bezoeken
	echo "<div class='side-label' align='center'><strong>".$locale['FSP015']."</strong></div>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n";
	echo "<tr>\n<td width='30%' class='side-small'>".THEME_BULLET." ".$locale['FSP002']."</td>\n";
	echo "<td width='15%' align='right' class='side-small'>".$b_aantal_laatste_bezoek."</td>";
	echo "<td width='10%' class='side-small'> </td>\n";
	echo "<td width='30%' class='side-small'> </td>\n";
	echo "<td width='15%' class='side-small'> </td>\n</tr>\n";
	echo "<tr>\n<td width='30%' class='side-small'>".THEME_BULLET." ".$locale['FSP003']."</td>\n";
	echo "<td width='15%' align='right' class='side-small'>".$b_aantal_vandaag."</td>\n";
	echo "<td width='10%' class='side-small'> </td>\n";
	echo "<td width='30%' class='side-small'>".THEME_BULLET." ".$locale['FSP005']."</td>\n";
	echo "<td width='15%' align='right' class='side-small'>".$b_aantal_deze_maand."</td>\n</tr>\n";
	echo "</table>\n";
	echo "<br />\n";
	
// Forum berichten
	echo "<div class='side-label' align='center'><strong>".$locale['FSP001']."</strong></div>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n";
	echo "<tr>\n<td width='30%' class='side-small'>".THEME_BULLET." ".$locale['FSP002']."</td>\n";
	echo "<td width='15%' align='right' class='side-small'>".$p_aantal_laatste_bezoek."</td>\n";
	echo "<td width='10%' class='side-small'> </td>\n";
	echo "<td width='30%' class='side-small'> </td>\n";
	echo "<td width='15%' class='side-small'> </td>\n</tr>\n";
	echo "<tr>\n<td width='30%' class='side-small'>".THEME_BULLET." ".$locale['FSP003']."</td>\n";
	echo "<td width='15%' align='right' class='side-small'>".$p_aantal_vandaag."</td>\n";
	echo "<td width='10%' class='side-small'> </td>\n";
	echo "<td width='30%' class='side-small'>".THEME_BULLET." ".$locale['FSP005']."</td>\n";
	echo "<td width='15%' align='right' class='side-small'>".$p_aantal_deze_maand."</td>\n</tr>\n";
	echo "<tr>\n<td width='30%' class='side-small'>".THEME_BULLET." ".$locale['FSP004']."</td>\n";
	echo "<td width='15%' align='right' class='side-small'>".$p_aantal_gisteren."</td>\n";
	echo "<td width='10%' class='side-small'> </td>\n";
	echo "<td width='30%' class='side-small'>".THEME_BULLET." ".$locale['FSP006']."</td>\n";
	echo "<td width='15%' align='right' class='side-small'>".$p_aantal_vorige_maand."</td>\n</tr>\n";
	echo "<tr>\n<td width='30%' class='side-small'>".THEME_BULLET." ".$locale['FSP012']."</td>\n";
	echo "<td width='15%' align='right' class='side-small'>".$p_gem_dag."</td>\n";	
	echo "<td width='10%' class='side-small'> </td>\n";	
	echo "<td width='30%' class='side-small'>".THEME_BULLET." ".$locale['FSP013']."</td>\n";
	echo "<td width='15%' align='right' class='side-small'>".$p_gem_maand."</td>\n</tr>\n";
	echo "</table>\n";
	echo "<br />\n";

// Forum top posters
	echo "<div class='side-label' align='center'><strong>".$locale['FSP007']."</strong></div>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n";
	
	// 1ste rij
	echo "<tr>\n<td width = '30%' class='side'><strong>".$locale['FSP016']."</strong></td>\n";
	echo "<td width='15%' class='side-small'> </td>\n";
	echo "<td width='10%' class='side-small'> </td>\n";
	echo "<td width='30%' class='side-small'> </td>\n";
	echo "<td width='15%' class='side-small'> </td>\n</tr>\n";

	$i = 0;
	while($t_data_laatste_bezoek = dbarray($t_result_laatste_bezoek))
		{
		$i++;
		echo "<tr><td width='30%' class='side-small'><strong>".$i.".</strong> <a href='".BASEDIR."profile.php?lookup=".$t_data_laatste_bezoek['user_id']."' title='".$t_data_laatste_bezoek['user_name']."'>".$t_data_laatste_bezoek['user_name']."</a></td>\n";
		echo "<td width='15%' align='right' class='side-small'>".$t_data_laatste_bezoek['aantal']."</td>\n";
		echo "<td width='10%' class='side-small'> </td>\n";
		echo "<td width='30%' class='side-small'> </td>\n";
		echo "<td width='15%' class='side-small'> </td>\n</tr>\n";
		}
	while($i < $post_other)
		{
		$i++;
		echo "<tr><td width='30%' class='side-small'><strong>".$i.".</strong> ".$locale['FSP017']."</td>\n";
		echo "<td width='15%' class='side-small'> </td>\n";
		echo "<td width='10%' class='side-small'> </td>\n";
		echo "<td width='30%' class='side-small'> </td>\n";
		echo "<td width='15%' class='side-small'> </td>\n</tr>\n";
		}
		
	echo "<tr>\n<td width='30%' class='side'><br /></td>\n";
	echo "<td width='15%' class='side-small'> </td>\n";
	echo "<td width='10%' class='side-small'> </td>\n";
	echo "<td width='30%' class='side-small'> </td>\n";
	echo "<td width='15%' class='side-small'> </td>\n</tr>\n";
	
	// 2de rij
	echo "<tr>\n<td width='30%' class='side'><strong>".$locale['FSP008']."</strong></td>\n";
	echo "<td width='15%' class='side-small'> </td>\n";
	echo "<td width='10%' class='side-small'> </td>\n";
	echo "<td width='30%' class='side'><strong>".$locale['FSP010']."</strong></td>\n";
	echo "<td width='15%' class='side-small'> </td>\n</tr>\n";

	$i = 0;
	$j = 0;
	while($t_data_vandaag = dbarray($t_result_vandaag))
		{
		$i++;
		echo "<tr><td width='30%' class='side-small'><strong>".$i.".</strong> <a href='".BASEDIR."profile.php?lookup=".$t_data_vandaag['user_id']."' title='".$t_data_vandaag['user_name']."'>".$t_data_vandaag['user_name']."</a></td>\n";
		echo "<td width='15%' align='right' class='side-small'>".$t_data_vandaag['aantal']."</td>\n";
		echo "<td width='10%' class='side-small'> </td>\n";
		if(($t_data_deze_maand = dbarray($t_result_deze_maand)) && ($j < $i))
			{
			$j++;
			echo "<td width='30%' class='side-small'><strong>".$i.".</strong> <a href='".BASEDIR."profile.php?lookup=".$t_data_deze_maand['user_id']."' title='".$t_data_deze_maand['user_name']."'>".$t_data_deze_maand['user_name']."</a></td>\n";
			echo "<td width='15%' align='right' class='side-small'>".$t_data_deze_maand['aantal']."</td>\n</tr>\n";
			}
		if(($j < $post_other) && ($j < $i))
			{
			$j++;
			echo "<td width='30%' class='side-small'><strong>".$i.".</strong> ".$locale['FSP017']."</td>\n";
			echo "<td width='15%' class='side-small'> </td>\n</tr>\n";
			}
		}
	while($i < $post_other)
		{
		$i++;
		echo "<tr><td width='30%' class='side-small'><strong>".$i.".</strong> ".$locale['FSP017']."</td>\n";
		echo "<td width='15%' class='side-small'> </td>\n";
		echo "<td width='10%' class='side-small'> </td>\n";
		if(($t_data_deze_maand = dbarray($t_result_deze_maand)) && ($j < $i))
			{
			$j++;
			echo "<td width='30%' class='side-small'><strong>".$i.".</strong> <a href='".BASEDIR."profile.php?lookup=".$t_data_deze_maand['user_id']."' title='".$t_data_deze_maand['user_name']."'>".$t_data_deze_maand['user_name']."</a></td>\n";
			echo "<td width='15%' align='right' class='side-small'>".$t_data_deze_maand['aantal']."</td>\n</tr>\n";
			}
		if(($j < $post_other) && ($j < $i))
			{
			$j++;
			echo "<td width='30%' class='side-small'><strong>".$i.".</strong> ".$locale['FSP017']."</td>\n";
			echo "<td width='15%' class='side-small'> </td>\n</tr>\n";
			}
		}
	
	echo "<tr>\n<td width='30%' class='side'><br /></td>\n";
	echo "<td width='15%' class='side-small'> </td>\n";
	echo "<td width='10%' class='side-small'> </td>\n";
	echo "<td width='30%' class='side-small'> </td>\n";
	echo "<td width='15%' class='side-small'> </td>\n</tr>\n";
	
	// 3de rij
	echo "<tr>\n<td width='30%' class='side'><strong>".$locale['FSP009']."</strong></td>\n";
	echo "<td width='15%' class='side-small'> </td>\n";
	echo "<td width='10%' class='side-small'> </td>\n";
	echo "<td width='30%' class='side'><strong>".$locale['FSP011']."</strong></td>\n";
	echo "<td width='15%' class='side-small'> </td>\n</tr>\n";
	
	$i=0;
	$j=0;
	while($t_data_gisteren = dbarray($t_result_gisteren))
		{
		$i++;
		echo "<tr><td width='30%' class='side-small'><strong>".$i.".</strong> <a href='".BASEDIR."profile.php?lookup=".$t_data_gisteren['user_id']."' title='".$t_data_gisteren['user_name']."'>".$t_data_gisteren['user_name']."</a></td>\n";
		echo "<td width='15%' align='right' class='side-small'>".$t_data_gisteren['aantal']."</td>\n";
		echo "<td width='10%' class='side-small'> </td>\n";
		if(($t_data_vorige_maand = dbarray($t_result_vorige_maand)) && ($j < $i))
			{
			$j++;
			echo "<td width='30%' class='side-small'><strong>".$i.".</strong> <a href='".BASEDIR."profile.php?lookup=".$t_data_vorige_maand['user_id']."' title='".$t_data_vorige_maand['user_name']."'>".$t_data_vorige_maand['user_name']."</a></td>\n";
			echo "<td width='15%' align='right' class='side-small'>".$t_data_vorige_maand['aantal']."</td>\n</tr>\n";
			}
		if(($j < $post_other) && ($j < $i))
			{
			$j++;
			echo "<td class='side-small'><strong>".$i.".</strong> ".$locale['FSP017']."</td>\n";
			echo "<td width='15%' class='side-small'> </td>\n</tr>\n";
			}
		}
	while($i < $post_other)
		{
		$i++;
		echo "<tr><td class='side-small'><strong>".$i.".</strong> ".$locale['FSP017']."</td>\n";
		echo "<td width='15%' class='side-small'> </td>\n";
		echo "<td width='10%' class='side-small'> </td>\n";
		if(($t_data_vorige_maand = dbarray($t_result_vorige_maand)) && ($j < $i))
			{
			$j++;
			echo "<td width='30%' class='side-small'><strong>".$i.".</strong> <a href='".BASEDIR."profile.php?lookup=".$t_data_vorige_maand['user_id']."' title='".$t_data_vorige_maand['user_name']."'>".$t_data_vorige_maand['user_name']."</a></td>\n";
			echo "<td width='15%' align='right' class='side-small'>".$t_data_vorige_maand['aantal']."</td>\n</tr>\n";
			}
		if(($j < $post_other) && ($j < $i))
			{
			$j++;
			echo "<td width='30%' class='side-small'><strong>".$i.".</strong> ".$locale['FSP017']."</td>\n";
			echo "<td width='15%' class='side-small'> </td>\n</tr>\n";
			}
		}
	echo "</table>\n";
	echo "<br />\n";
	
// Totale berichten en berichten per dag
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n";
	echo "<tr>\n<td width='30%' class='side'><strong>".$locale['FSP018']."</strong></td>\n";
	echo "<td width='15%' class='side-small'> </td>\n";
	echo "<td width='10%' class='side-small'> </td>\n";
	echo "<td width='30%' class='side'><strong>".$locale['FSP019']."</strong></td>\n";
	echo "<td width='15%' class='side-small'> </td>\n</tr>\n";
	
	$i=0;
	$j=0;
	while($t_data_totaal = dbarray($t_result_totaal))
		{
		$i++;
		echo "<tr><td width='30%' class='side-small'><strong>".$i.".</strong> <a href='".BASEDIR."profile.php?lookup=".$t_data_totaal['user_id']."' title='".$t_data_totaal['user_name']."'>".$t_data_totaal['user_name']."</a></td>\n";
		echo "<td width='15%' align='right' class='side-small'>".$t_data_totaal['user_posts']."</td>\n";
		echo "<td width='10%' class='side-small'> </td>\n";
		if(($t_data_dag = dbarray($t_result_dag)) && ($j < $i))
			{
			$j++;
			echo "<td width='30%' class='side-small'><strong>".$i.".</strong> <a href='".BASEDIR."profile.php?lookup=".$t_data_dag['user_id']."' title='".$t_data_dag['user_name']."'>".$t_data_dag['user_name']."</a></td>\n";
			echo "<td width='15%' align='right' class='side-small'>".$t_data_dag['dag']."</td>\n</tr>\n";
			}
		if(($j < $post_total) && ($j < $i))
			{
			$j++;
			echo "<td class='side-small'><strong>".$i.".</strong> ".$locale['FSP017']."</td>\n";
			echo "<td width='15%' class='side-small'> </td>\n</tr>\n";
			}
		}
	while($i < $post_total)
		{
		$i++;
		echo "<tr><td class='side-small'><strong>".$i.".</strong> ".$locale['FSP017']."</td>\n";
		echo "<td width='15%' class='side-small'> </td>\n";
		echo "<td width='10%' class='side-small'> </td>\n";
		if(($t_data_dag = dbarray($t_result_dag)) && ($j < $i))
			{
			$j++;
			echo "<td width='30%' class='side-small'><strong>".$i.".</strong> <a href='".BASEDIR."profile.php?lookup=".$t_data_dag['user_id']."' title='".$t_data_dag['user_name']."'>".$t_data_dag['user_name']."</a></td>\n";
			echo "<td width='15%' align='right' class='side-small'>".$t_data_dag['dag']."</td>\n</tr>\n";
			}
		if(($j < $post_total) && ($j < $i))
			{
			$j++;
			echo "<td width='30%' class='side-small'><strong>".$i.".</strong> ".$locale['FSP017']."</td>\n";
			echo "<td width='15%' class='side-small'> </td>\n</tr>\n";
			}
		}
	
	echo "</table>\n";
	echo "<br />\n";

// Voettekst
	echo "<hr />\n";
	echo "<div class='side-small' align='right'>Site Stats 1.3</div>\n";
	echo "<div class='side-small' align='right'>Created by <a href='http://www.fmbel.be/profile.php?lookup=1'>digifredje</a></div>\n";
	
// closeside();
?>